/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package factura40;

import java.util.ArrayList;

/**
 *
 * @author Cato32
 */
public enum CMesesGlobal {
    Enero("01"),
    Febrero("02"),
    Marzo("03"),
    Abril("04"),
    Mayo("05"),
    Junio("06"),
    Julio("07"),
    Agosto("08"),
    Septiembre("09"),
    Octubre("10"),
    Noviembre("11"),
    Diciembre("12"),
    Enero_Febreo("13"),
    Marzo_Abril("14"),
    Mayo_Junio("15"),
    Julio_Agosto("16"),
    Septiembre_Octubre("17"),
    Noviembre_Diciembre("18");
    
    String valor;
    
    private CMesesGlobal (String enumValor){
        valor = enumValor;
    }
    
    public String value() {
        return name();
    }

    public String getValor() {
        return valor;
    }
    
    public static ArrayList<String> listaMesesGlobal(){
        ArrayList<String> lista = new ArrayList<>();
        
        for (CMesesGlobal mesesGlobal : CMesesGlobal.values()){
            lista.add(mesesGlobal.name());
        }
        return lista;
    } 
    
    public static CMesesGlobal buscaMesGlobal(String name){
       for (CMesesGlobal mesGlobal : CMesesGlobal.values()){
            if(name.equals(mesGlobal.name())){
                return mesGlobal;
            }
        }
       return null;
    }

    public String codValue() {
        return name().substring(20, name().length());

    }
}
